EOIProcessImageInputs
eyesonit-typescript-sdk / EOIProcessImageInputs
Class: EOIProcessImageInputs
Request payload for processing a single image.
Extends
Constructors
Constructor
new EOIProcessImageInputs(
base64Image,regions,return_image?,effects?):EOIProcessImageInputs
Parameters
base64Image
Base64-encoded image payload.
string | undefined
regions
Detection regions and configuration.
return_image?
boolean
Whether to include an annotated image in the response.
effects?
Optional visual effects/overlays configuration.
Returns
EOIProcessImageInputs
Overrides
Properties
base64Image
base64Image:
string|undefined
Base64-encoded image payload.
regions
regions:
EOIRegion[]
Detection regions and configuration.
Inherited from
return_image?
optionalreturn_image:boolean
Whether to include an annotated image in the response.
effects?
optionaleffects:EOIEffects
Optional visual effects/overlays configuration.
Methods
fromJsonObj()
staticfromJsonObj(obj):EOIProcessImageInputs|undefined
Parameters
obj
any
Returns
EOIProcessImageInputs | undefined
stringify()
stringify():
string
Serializes this payload for the API request body.
The serializer excludes nested confidence values.
Returns
string
validate()
validate():
EOIResponse
Validates this payload against SDK-side constraints.